apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.22.0 (955b78124)
  creationTimestamp: null
  labels:
    io.kompose.service: recommendation
  name: recommendation
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: recommendation
  strategy: {}
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert
        kompose.version: 1.22.0 (955b78124)
        sidecar.istio.io/statsInclusionPrefixes: cluster.outbound,cluster_manager,listener_manager,http_mixer_filter,tcp_mixer_filter,server,cluster.xds-grp,listener,connection_manager
        sidecar.istio.io/statsInclusionRegexps: http.*
      creationTimestamp: null
      labels:
        io.kompose.service: recommendation
    spec:
      containers:
        - command:
            - recommendation
          image: igorrudyk1/hotelreservation:latest
          name: hotel-reserv-recommendation
          ports:
            - containerPort: 8085
              #resources:
              #requests:
              #cpu: 100m
              #limits:
              #cpu: 1000m
      restartPolicy: Always
status: {}
